Changeset 942 for ThirdParty/Glpk


Ignore:
Timestamp:
Feb 24, 2008 11:27:53 AM (12 years ago)
Author:
stefan
Message:

upgrade to glpk 4.26; check in configure whether we have the correct glpk version for compilation

Location:
ThirdParty/Glpk/trunk
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r898 r942  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.25.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.26.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.25.tar.gz
    21 tar xf glpk-4.25.tar
     20gunzip glpk-4.26.tar.gz
     21tar xf glpk-4.26.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.25
     24  glpk-4.26
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r941 r942  
    8585$(GLPKDIR)/src/glpmpl03.c \
    8686$(GLPKDIR)/src/glpmpl04.c \
     87$(GLPKDIR)/src/glpmpl05.c \
    8788$(GLPKDIR)/src/glppds.c \
    8889$(GLPKDIR)/src/glpqmd.c \
    8990$(GLPKDIR)/src/glprng01.c \
    9091$(GLPKDIR)/src/glprng02.c \
     92$(GLPKDIR)/src/glprgr.c \
    9193$(GLPKDIR)/src/glpscf.c \
    9294$(GLPKDIR)/src/glpscg.c \
     95$(GLPKDIR)/src/glpspm.c \
    9396$(GLPKDIR)/src/glpspx01.c \
    9497$(GLPKDIR)/src/glpspx02.c \
  • ThirdParty/Glpk/trunk/Makefile.in

    r940 r942  
    8585        glplpx15.lo glplpx16.lo glplpx17.lo glplpx18.lo glplpx19.lo \
    8686        glplpx20.lo glpluf.lo glplux.lo glpmat.lo glpmpl01.lo \
    87         glpmpl02.lo glpmpl03.lo glpmpl04.lo glppds.lo glpqmd.lo \
    88         glprng01.lo glprng02.lo glpscf.lo glpscg.lo glpspx01.lo \
    89         glpspx02.lo glpssx01.lo glpssx02.lo
     87        glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo glppds.lo \
     88        glpqmd.lo glprng01.lo glprng02.lo glprgr.lo glpscf.lo \
     89        glpscg.lo glpspm.lo glpspx01.lo glpspx02.lo glpssx01.lo \
     90        glpssx02.lo
    9091libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
    9192@COIN_BUILD_GLPK_TRUE@am_libcoinglpk_la_rpath =
     
    322323$(GLPKDIR)/src/glpmpl03.c \
    323324$(GLPKDIR)/src/glpmpl04.c \
     325$(GLPKDIR)/src/glpmpl05.c \
    324326$(GLPKDIR)/src/glppds.c \
    325327$(GLPKDIR)/src/glpqmd.c \
    326328$(GLPKDIR)/src/glprng01.c \
    327329$(GLPKDIR)/src/glprng02.c \
     330$(GLPKDIR)/src/glprgr.c \
    328331$(GLPKDIR)/src/glpscf.c \
    329332$(GLPKDIR)/src/glpscg.c \
     333$(GLPKDIR)/src/glpspm.c \
    330334$(GLPKDIR)/src/glpspx01.c \
    331335$(GLPKDIR)/src/glpspx02.c \
     
    467471@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl03.Plo@am__quote@
    468472@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl04.Plo@am__quote@
     473@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl05.Plo@am__quote@
    469474@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glppds.Plo@am__quote@
    470475@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpqmd.Plo@am__quote@
     476@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprgr.Plo@am__quote@
    471477@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprng01.Plo@am__quote@
    472478@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprng02.Plo@am__quote@
    473479@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscf.Plo@am__quote@
    474480@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscg.Plo@am__quote@
     481@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspm.Plo@am__quote@
    475482@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspx01.Plo@am__quote@
    476483@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspx02.Plo@am__quote@
     
    968975@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmpl04.lo `test -f '$(GLPKDIR)/src/glpmpl04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl04.c
    969976
     977glpmpl05.lo: $(GLPKDIR)/src/glpmpl05.c
     978@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpmpl05.lo -MD -MP -MF "$(DEPDIR)/glpmpl05.Tpo" -c -o glpmpl05.lo `test -f '$(GLPKDIR)/src/glpmpl05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl05.c; \
     979@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpmpl05.Tpo" "$(DEPDIR)/glpmpl05.Plo"; else rm -f "$(DEPDIR)/glpmpl05.Tpo"; exit 1; fi
     980@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpmpl05.c' object='glpmpl05.lo' libtool=yes @AMDEPBACKSLASH@
     981@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     982@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmpl05.lo `test -f '$(GLPKDIR)/src/glpmpl05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl05.c
     983
    970984glppds.lo: $(GLPKDIR)/src/glppds.c
    971985@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glppds.lo -MD -MP -MF "$(DEPDIR)/glppds.Tpo" -c -o glppds.lo `test -f '$(GLPKDIR)/src/glppds.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glppds.c; \
     
    9961010@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glprng02.lo `test -f '$(GLPKDIR)/src/glprng02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glprng02.c
    9971011
     1012glprgr.lo: $(GLPKDIR)/src/glprgr.c
     1013@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glprgr.lo -MD -MP -MF "$(DEPDIR)/glprgr.Tpo" -c -o glprgr.lo `test -f '$(GLPKDIR)/src/glprgr.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glprgr.c; \
     1014@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glprgr.Tpo" "$(DEPDIR)/glprgr.Plo"; else rm -f "$(DEPDIR)/glprgr.Tpo"; exit 1; fi
     1015@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glprgr.c' object='glprgr.lo' libtool=yes @AMDEPBACKSLASH@
     1016@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1017@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glprgr.lo `test -f '$(GLPKDIR)/src/glprgr.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glprgr.c
     1018
    9981019glpscf.lo: $(GLPKDIR)/src/glpscf.c
    9991020@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpscf.lo -MD -MP -MF "$(DEPDIR)/glpscf.Tpo" -c -o glpscf.lo `test -f '$(GLPKDIR)/src/glpscf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpscf.c; \
     
    10091030@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    10101031@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpscg.lo `test -f '$(GLPKDIR)/src/glpscg.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpscg.c
     1032
     1033glpspm.lo: $(GLPKDIR)/src/glpspm.c
     1034@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpspm.lo -MD -MP -MF "$(DEPDIR)/glpspm.Tpo" -c -o glpspm.lo `test -f '$(GLPKDIR)/src/glpspm.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpspm.c; \
     1035@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpspm.Tpo" "$(DEPDIR)/glpspm.Plo"; else rm -f "$(DEPDIR)/glpspm.Tpo"; exit 1; fi
     1036@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpspm.c' object='glpspm.lo' libtool=yes @AMDEPBACKSLASH@
     1037@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1038@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpspm.lo `test -f '$(GLPKDIR)/src/glpspm.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpspm.c
    10111039
    10121040glpspx01.lo: $(GLPKDIR)/src/glpspx01.c
  • ThirdParty/Glpk/trunk/configure

    r940 r942  
    1010#
    1111#
    12 # Copyright 2007 Stefan Vigerske and others.
     12# Copyright 2007-2008 Stefan Vigerske and others.
    1313# All Rights Reserved.
    1414# This file is part of the open source package Coin which is distributed
     
    10551055  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10561056  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    1057   --enable-debug          compile all projects with debug options tests
    1058   --enable-debug-glpk compile this project (GLPK) with debug options
    10591057  --enable-doscompile     Under Cygwin, compile so that executables run under
    10601058                          DOS. Set to mingw to use gcc/g++/ld with
     
    10791077  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    10801078  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    1081   --with-glpk-verbosity specify the debug verbosity level for project GLPK
    1082   --with-glpk-checklevel specify the sanity check level for project GLPK
    10831079  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
    10841080  --with-pic              try to use only PIC/non-PIC objects [default=use
     
    12151211
    12161212
    1217 Copyright 2007 Stefan Vigerske and others.
     1213Copyright 2007-2008 Stefan Vigerske and others.
    12181214All Rights Reserved.
    12191215This file is part of the open source package Coin which is distributed
     
    16021598
    16031599
    1604 
    16051600#############################################################################
    16061601#                         Standard build tool stuff                         #
     
    16691664#and we couldn't fix it anyway
    16701665coin_skip_warn_cflags=yes
    1671 
    1672 # Check if user wants to produce debugging code
    1673 
    1674 echo "$as_me:$LINENO: checking whether we want to compile in debug mode" >&5
    1675 echo $ECHO_N "checking whether we want to compile in debug mode... $ECHO_C" >&6
    1676 
    1677 # Check whether --enable-debug or --disable-debug was given.
    1678 if test "${enable_debug+set}" = set; then
    1679   enableval="$enable_debug"
    1680   case "${enableval}" in
    1681    yes) coin_debug_compile=true
    1682         if test "${enable_shared+set}" = set; then :; else
    1683           enable_shared=no
    1684         fi
    1685         ;;
    1686    no)  coin_debug_compile=false
    1687         ;;
    1688    *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
    1689 echo "$as_me: error: bad value ${enableval} for --enable-debug" >&2;}
    1690    { (exit 1); exit 1; }; }
    1691         ;;
    1692 esac
    1693 else
    1694   coin_debug_compile=false
    1695 fi;
    1696 
    1697 # Check whether --enable-debug-glpk or --disable-debug-glpk was given.
    1698 if test "${enable_debug_glpk+set}" = set; then
    1699   enableval="$enable_debug_glpk"
    1700   case "${enableval}" in
    1701     yes) coin_debug_compile=true
    1702          enable_shared=no
    1703          ;;
    1704     no)  coin_debug_compile=false
    1705          ;;
    1706     *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug-glpk" >&5
    1707 echo "$as_me: error: bad value ${enableval} for --enable-debug-glpk" >&2;}
    1708    { (exit 1); exit 1; }; }
    1709          ;;
    1710  esac
    1711 else
    1712   :
    1713 fi;
    1714 
    1715  # m4_ifvaln([GLPK],
    1716 
    1717 if test $coin_debug_compile = true; then
    1718   echo "$as_me:$LINENO: result: yes" >&5
    1719 echo "${ECHO_T}yes" >&6
    1720 else
    1721   echo "$as_me:$LINENO: result: no" >&5
    1722 echo "${ECHO_T}no" >&6
    1723 fi
    1724 
    1725 
    1726 # Check whether --with-glpk-verbosity or --without-glpk-verbosity was given.
    1727 if test "${with_glpk_verbosity+set}" = set; then
    1728   withval="$with_glpk_verbosity"
    1729   if test "$withval" = yes; then
    1730                 withval=1
    1731               fi
    1732               coin_glpk_verbosity=$withval
    1733 else
    1734   coin_glpk_verbosity=0
    1735 fi;
    1736 
    1737 cat >>confdefs.h <<_ACEOF
    1738 #define COIN_GLPK_VERBOSITY $coin_glpk_verbosity
    1739 _ACEOF
    1740 
    1741 
    1742 
    1743 # Check whether --with-glpk-checklevel or --without-glpk-checklevel was given.
    1744 if test "${with_glpk_checklevel+set}" = set; then
    1745   withval="$with_glpk_checklevel"
    1746   if test "$withval" = yes; then
    1747                 withval=1
    1748               fi
    1749               coin_glpk_checklevel=$withval
    1750 else
    1751   coin_glpk_checklevel=0
    1752 fi;
    1753 
    1754 cat >>confdefs.h <<_ACEOF
    1755 #define COIN_GLPK_CHECKLEVEL $coin_glpk_checklevel
    1756 _ACEOF
    1757 
    1758 
    1759 # We use the following variable to have a string with the upper case
    1760 # version of the project name
    1761 COIN_PRJCT=GLPK
    1762 
    1763 
    1764  # m4_ifvaln([GLPK],
    1765 
    1766 
    17671666
    17681667# Get the name of the C compiler
     
    47064605*-*-irix6*)
    47074606  # Find out which ABI we are using.
    4708   echo '#line 4708 "configure"' > conftest.$ac_ext
     4607  echo '#line 4607 "configure"' > conftest.$ac_ext
    47094608  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47104609  (eval $ac_compile) 2>&5
     
    63056204
    63066205# Provide some information about the compiler.
    6307 echo "$as_me:6307:" \
     6206echo "$as_me:6206:" \
    63086207     "checking for Fortran 77 compiler version" >&5
    63096208ac_compiler=`set X $ac_compile; echo $2`
     
    73727271   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73737272   -e 's:$: $lt_compiler_flag:'`
    7374    (eval echo "\"\$as_me:7374: $lt_compile\"" >&5)
     7273   (eval echo "\"\$as_me:7273: $lt_compile\"" >&5)
    73757274   (eval "$lt_compile" 2>conftest.err)
    73767275   ac_status=$?
    73777276   cat conftest.err >&5
    7378    echo "$as_me:7378: \$? = $ac_status" >&5
     7277   echo "$as_me:7277: \$? = $ac_status" >&5
    73797278   if (exit $ac_status) && test -s "$ac_outfile"; then
    73807279     # The compiler can only warn and ignore the option if not recognized
     
    76407539   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76417540   -e 's:$: $lt_compiler_flag:'`
    7642    (eval echo "\"\$as_me:7642: $lt_compile\"" >&5)
     7541   (eval echo "\"\$as_me:7541: $lt_compile\"" >&5)
    76437542   (eval "$lt_compile" 2>conftest.err)
    76447543   ac_status=$?
    76457544   cat conftest.err >&5
    7646    echo "$as_me:7646: \$? = $ac_status" >&5
     7545   echo "$as_me:7545: \$? = $ac_status" >&5
    76477546   if (exit $ac_status) && test -s "$ac_outfile"; then
    76487547     # The compiler can only warn and ignore the option if not recognized
     
    77447643   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77457644   -e 's:$: $lt_compiler_flag:'`
    7746    (eval echo "\"\$as_me:7746: $lt_compile\"" >&5)
     7645   (eval echo "\"\$as_me:7645: $lt_compile\"" >&5)
    77477646   (eval "$lt_compile" 2>out/conftest.err)
    77487647   ac_status=$?
    77497648   cat out/conftest.err >&5
    7750    echo "$as_me:7750: \$? = $ac_status" >&5
     7649   echo "$as_me:7649: \$? = $ac_status" >&5
    77517650   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77527651   then
     
    100899988  lt_status=$lt_dlunknown
    100909989  cat > conftest.$ac_ext <<EOF
    10091 #line 10091 "configure"
     9990#line 9990 "configure"
    100929991#include "confdefs.h"
    100939992
     
    1018910088  lt_status=$lt_dlunknown
    1019010089  cat > conftest.$ac_ext <<EOF
    10191 #line 10191 "configure"
     10090#line 10090 "configure"
    1019210091#include "confdefs.h"
    1019310092
     
    1253312432   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1253412433   -e 's:$: $lt_compiler_flag:'`
    12535    (eval echo "\"\$as_me:12535: $lt_compile\"" >&5)
     12434   (eval echo "\"\$as_me:12434: $lt_compile\"" >&5)
    1253612435   (eval "$lt_compile" 2>conftest.err)
    1253712436   ac_status=$?
    1253812437   cat conftest.err >&5
    12539    echo "$as_me:12539: \$? = $ac_status" >&5
     12438   echo "$as_me:12438: \$? = $ac_status" >&5
    1254012439   if (exit $ac_status) && test -s "$ac_outfile"; then
    1254112440     # The compiler can only warn and ignore the option if not recognized
     
    1263712536   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1263812537   -e 's:$: $lt_compiler_flag:'`
    12639    (eval echo "\"\$as_me:12639: $lt_compile\"" >&5)
     12538   (eval echo "\"\$as_me:12538: $lt_compile\"" >&5)
    1264012539   (eval "$lt_compile" 2>out/conftest.err)
    1264112540   ac_status=$?
    1264212541   cat out/conftest.err >&5
    12643    echo "$as_me:12643: \$? = $ac_status" >&5
     12542   echo "$as_me:12542: \$? = $ac_status" >&5
    1264412543   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1264512544   then
     
    1420714106   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1420814107   -e 's:$: $lt_compiler_flag:'`
    14209    (eval echo "\"\$as_me:14209: $lt_compile\"" >&5)
     14108   (eval echo "\"\$as_me:14108: $lt_compile\"" >&5)
    1421014109   (eval "$lt_compile" 2>conftest.err)
    1421114110   ac_status=$?
    1421214111   cat conftest.err >&5
    14213    echo "$as_me:14213: \$? = $ac_status" >&5
     14112   echo "$as_me:14112: \$? = $ac_status" >&5
    1421414113   if (exit $ac_status) && test -s "$ac_outfile"; then
    1421514114     # The compiler can only warn and ignore the option if not recognized
     
    1431114210   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1431214211   -e 's:$: $lt_compiler_flag:'`
    14313    (eval echo "\"\$as_me:14313: $lt_compile\"" >&5)
     14212   (eval echo "\"\$as_me:14212: $lt_compile\"" >&5)
    1431414213   (eval "$lt_compile" 2>out/conftest.err)
    1431514214   ac_status=$?
    1431614215   cat out/conftest.err >&5
    14317    echo "$as_me:14317: \$? = $ac_status" >&5
     14216   echo "$as_me:14216: \$? = $ac_status" >&5
    1431814217   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1431914218   then
     
    1651816417   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1651916418   -e 's:$: $lt_compiler_flag:'`
    16520    (eval echo "\"\$as_me:16520: $lt_compile\"" >&5)
     16419   (eval echo "\"\$as_me:16419: $lt_compile\"" >&5)
    1652116420   (eval "$lt_compile" 2>conftest.err)
    1652216421   ac_status=$?
    1652316422   cat conftest.err >&5
    16524    echo "$as_me:16524: \$? = $ac_status" >&5
     16423   echo "$as_me:16423: \$? = $ac_status" >&5
    1652516424   if (exit $ac_status) && test -s "$ac_outfile"; then
    1652616425     # The compiler can only warn and ignore the option if not recognized
     
    1678616685   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1678716686   -e 's:$: $lt_compiler_flag:'`
    16788    (eval echo "\"\$as_me:16788: $lt_compile\"" >&5)
     16687   (eval echo "\"\$as_me:16687: $lt_compile\"" >&5)
    1678916688   (eval "$lt_compile" 2>conftest.err)
    1679016689   ac_status=$?
    1679116690   cat conftest.err >&5
    16792    echo "$as_me:16792: \$? = $ac_status" >&5
     16691   echo "$as_me:16691: \$? = $ac_status" >&5
    1679316692   if (exit $ac_status) && test -s "$ac_outfile"; then
    1679416693     # The compiler can only warn and ignore the option if not recognized
     
    1689016789   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1689116790   -e 's:$: $lt_compiler_flag:'`
    16892    (eval echo "\"\$as_me:16892: $lt_compile\"" >&5)
     16791   (eval echo "\"\$as_me:16791: $lt_compile\"" >&5)
    1689316792   (eval "$lt_compile" 2>out/conftest.err)
    1689416793   ac_status=$?
    1689516794   cat out/conftest.err >&5
    16896    echo "$as_me:16896: \$? = $ac_status" >&5
     16795   echo "$as_me:16795: \$? = $ac_status" >&5
    1689716796   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1689816797   then
     
    1977819677}
    1977919678
    19780 
    19781 for ac_func in vsnprintf
    19782 do
    19783 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
    19784 echo "$as_me:$LINENO: checking for $ac_func" >&5
    19785 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
    19786 if eval "test \"\${$as_ac_var+set}\" = set"; then
    19787   echo $ECHO_N "(cached) $ECHO_C" >&6
    19788 else
    19789   cat >conftest.$ac_ext <<_ACEOF
    19790 /* confdefs.h.  */
    19791 _ACEOF
    19792 cat confdefs.h >>conftest.$ac_ext
    19793 cat >>conftest.$ac_ext <<_ACEOF
    19794 /* end confdefs.h.  */
    19795 /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
    19796    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
    19797 #define $ac_func innocuous_$ac_func
    19798 
    19799 /* System header to define __stub macros and hopefully few prototypes,
    19800     which can conflict with char $ac_func (); below.
    19801     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    19802     <limits.h> exists even on freestanding compilers.  */
    19803 
    19804 #ifdef __STDC__
    19805 # include <limits.h>
    19806 #else
    19807 # include <assert.h>
    19808 #endif
    19809 
    19810 #undef $ac_func
    19811 
    19812 /* Override any gcc2 internal prototype to avoid an error.  */
    19813 #ifdef __cplusplus
    19814 extern "C"
    19815 {
    19816 #endif
    19817 /* We use char because int might match the return type of a gcc2
    19818    builtin and then its argument prototype would still apply.  */
    19819 char $ac_func ();
    19820 /* The GNU C library defines this for functions which it implements
    19821     to always fail with ENOSYS.  Some functions are actually named
    19822     something starting with __ and the normal name is an alias.  */
    19823 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
    19824 choke me
    19825 #else
    19826 char (*f) () = $ac_func;
    19827 #endif
    19828 #ifdef __cplusplus
    19829 }
    19830 #endif
    19831 
    19832 int
    19833 main ()
    19834 {
    19835 return f != $ac_func;
    19836   ;
    19837   return 0;
    19838 }
    19839 _ACEOF
    19840 rm -f conftest.$ac_objext conftest$ac_exeext
    19841 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    19842   (eval $ac_link) 2>conftest.er1
    19843   ac_status=$?
    19844   grep -v '^ *+' conftest.er1 >conftest.err
    19845   rm -f conftest.er1
    19846   cat conftest.err >&5
    19847   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    19848   (exit $ac_status); } &&
    19849          { ac_try='test -z "$ac_c_werror_flag"
    19850                          || test ! -s conftest.err'
    19851   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    19852   (eval $ac_try) 2>&5
    19853   ac_status=$?
    19854   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    19855   (exit $ac_status); }; } &&
    19856          { ac_try='test -s conftest$ac_exeext'
    19857   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    19858   (eval $ac_try) 2>&5
    19859   ac_status=$?
    19860   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    19861   (exit $ac_status); }; }; then
    19862   eval "$as_ac_var=yes"
    19863 else
    19864   echo "$as_me: failed program was:" >&5
    19865 sed 's/^/| /' conftest.$ac_ext >&5
    19866 
    19867 eval "$as_ac_var=no"
    19868 fi
    19869 rm -f conftest.err conftest.$ac_objext \
    19870       conftest$ac_exeext conftest.$ac_ext
    19871 fi
    19872 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
    19873 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
    19874 if test `eval echo '${'$as_ac_var'}'` = yes; then
    19875   cat >>confdefs.h <<_ACEOF
    19876 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
    19877 _ACEOF
    19878 
    19879 fi
    19880 done
    19881 
    19882 
    1988319679###########################################################################
    1988419680#                            COIN_HAS_GLPK                                #
     
    2016019956if test x"$use_thirdpartyglpk" = xbuild ; then
    2016119957  touch $MAKEOKFILE
     19958  echo "$as_me:$LINENO: checking GLPK version" >&5
     19959echo $ECHO_N "checking GLPK version... $ECHO_C" >&6
     19960  majorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
     19961  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
     19962  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
     19963echo "${ECHO_T}${majorver}.${minorver}" >&6
     19964  if test $majorver != 4 || test $minorver != 26 ; then
     19965    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.26. Please update by rerunning get.GLPK\"" >&5
     19966echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.26. Please update by rerunning get.GLPK\"" >&2;}
     19967   { (exit 1); exit 1; }; }
     19968  fi
    2016219969else
    2016319970  if test x$coin_has_glpk = xtrue ; then
  • ThirdParty/Glpk/trunk/configure.ac

    r941 r942  
    1 # Copyright (C) 2007 Stefan Vigerske
     1# Copyright (C) 2007-2008 Stefan Vigerske and others.
    22# All Rights Reserved.
    33# This file is distributed under the Common Public License.
     
    1414
    1515AC_COPYRIGHT([
    16 Copyright 2007 Stefan Vigerske and others.
     16Copyright 2007-2008 Stefan Vigerske and others.
    1717All Rights Reserved.
    1818This file is part of the open source package Coin which is distributed
     
    3131AC_COIN_PROJECTDIR_INIT
    3232
    33 
    3433#############################################################################
    3534#                         Standard build tool stuff                         #
     
    4342coin_skip_warn_cflags=yes
    4443
    45 # Check if user wants to produce debugging code
    46 AC_COIN_DEBUG_COMPILE(GLPK)
    47 
    4844# Get the name of the C compiler
    4945AC_COIN_PROG_CC
     
    5147# Initialize automake
    5248AC_COIN_INIT_AUTO_TOOLS
    53 
    54 AC_CHECK_FUNCS([vsnprintf])
    5549
    5650###########################################################################
     
    7367if test x"$use_thirdpartyglpk" = xbuild ; then
    7468  touch $MAKEOKFILE
     69  AC_MSG_CHECKING([GLPK version])
     70  majorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
     71  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
     72  AC_MSG_RESULT([${majorver}.${minorver}])
     73  if test $majorver != 4 || test $minorver != 26 ; then
     74    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.26. Please update by rerunning get.GLPK"])
     75  fi
    7576else
    7677  if test x$coin_has_glpk = xtrue ; then
  • ThirdParty/Glpk/trunk/get.Glpk

    r897 r942  
    22
    33set -e
    4 glpk_ver=4.25
     4glpk_ver=4.26
    55
    66wgetcmd=wget
Note: See TracChangeset for help on using the changeset viewer.